Page MenuHomePhabricator

Add language code az-cyrl for lexemes
Closed, ResolvedPublic

Description

az-cyrl for Azerbaijani in Cyrillic script

This would replace the private use subtag on lexemes like https://www.wikidata.org/wiki/Lexeme:L8237 and https://www.wikidata.org/wiki/Lexeme:L42346

Event Timeline

Nikki created this task.Oct 19 2020, 1:46 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 19 2020, 1:46 PM
Nikki renamed this task from Add az-cyrl and az-arab for lexemes to Add language codes az-cyrl and az-arab for lexemes.Oct 19 2020, 1:46 PM
jhsoby added subscribers: Amire80, MF-Warburg, jhsoby.

I don't have any problems with this, but would like to hear what @Amire80 and @MF-Warburg have to say just in case.

az-cyrl is OK.

For Arabic script we already have azb. Is az-arab any different?

az-cyrl is OK.

For Arabic script we already have azb. Is az-arab any different?

@Nikki Can you answer this?

az-cyrl is OK.

For Arabic script we already have azb. Is az-arab any different?

I have no idea because I can't find any resources which go into any detail about the differences, let alone that specify whether a word is North Azerbaijani, South Azerbaijani or both. Even all the Wiktionaries I checked do not distinguish North and South Azerbaijani and only list the script when giving the different forms (e.g. en, de).

Also, according to the English Wikipedia's Azerbaijani language page, the Arabic script was the only script used before 1929, so I would expect the Arabic script versions to be valid historical forms even in areas where the Arabic script is no longer used.

Nikki renamed this task from Add language codes az-cyrl and az-arab for lexemes to Add language code az-cyrl for lexemes.Jan 16 2021, 4:16 AM
Nikki updated the task description. (Show Details)
Nikki added a comment.Jan 16 2021, 4:33 AM

In the interest of not having this stalled indefinitely, I've removed the request for az-arab from this ticket.

Mbch331 claimed this task.Jan 16 2021, 7:16 AM

Change 656536 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/WikibaseLexeme@master] Add lexeme language codes az-cyrl, ctg and rkt

https://gerrit.wikimedia.org/r/656536

Change 656536 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add lexeme language codes az-cyrl, ctg and rkt

https://gerrit.wikimedia.org/r/656536

amy_rc added a subscriber: amy_rc.

This works now. Thank you 💃

amy_rc closed this task as Resolved.Jan 29 2021, 3:33 PM